Skip to main content
GET
Get current manual call and text eligibility for a lead.

Authorizations

Authorization
string
header
required

Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.

Path Parameters

leadId
string
required

The identifier of the lead whose current contact eligibility is requested.

Response

The lead's current call and text eligibility under applicable contact rules.

Current call and text eligibility for a lead under the applicable contact rules.

canCall
boolean

Whether the lead can currently be called after evaluating applicable contact hours, suppression, and consent rules.

canText
boolean

Whether the lead can currently be texted after evaluating applicable contact hours, suppression, and consent rules.

callBlockedReason
null | string

Customer-safe explanation when calling is unavailable.

textBlockedReason
null | string

Customer-safe explanation when texting is unavailable.